Package io.flutter.embedding.engine.systemchannels

## Enum PlatformChannel.DeviceOrientation

- java.lang.Object
- - java.lang.Enum<PlatformChannel.DeviceOrientation>
  - - io.flutter.embedding.engine.systemchannels.PlatformChannel.DeviceOrientation

- All Implemented Interfaces:
    `Serializable`, `Comparable<PlatformChannel.DeviceOrientation>`
  Enclosing class:
    PlatformChannel

      public static enum PlatformChannel.DeviceOrientation
      extends Enum<PlatformChannel.DeviceOrientation>

  The possible desired orientations of a Flutter application.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `LANDSCAPE_LEFT` |
    `LANDSCAPE_RIGHT` |
    `PORTRAIT_DOWN` |
    `PORTRAIT_UP` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static PlatformChannel.DeviceOrientation` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static PlatformChannel.DeviceOrientation[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### PORTRAIT_UP

          public static final PlatformChannel.DeviceOrientation PORTRAIT_UP

    - #### PORTRAIT_DOWN

          public static final PlatformChannel.DeviceOrientation PORTRAIT_DOWN

    - #### LANDSCAPE_LEFT

          public static final PlatformChannel.DeviceOrientation LANDSCAPE_LEFT

    - #### LANDSCAPE_RIGHT

          public static final PlatformChannel.DeviceOrientation LANDSCAPE_RIGHT

  - ### Method Detail

    - #### values

          public static PlatformChannel.DeviceOrientation[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (PlatformChannel.DeviceOrientation c : PlatformChannel.DeviceOrientation.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static PlatformChannel.DeviceOrientation valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null